> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-udtypography.md).

# New-UDTypography

New-UDTypography affiche du texte stylisé avec une variante, un alignement et une graisse de police configurables dans un tableau de bord PowerShell Universal.

### Résumé

La typographie vous permet de configurer et d'afficher du texte.

### Syntaxe

```powershell
New-UDTypography [-Id <String>] [-Variant <String>] [[-Text] <String>] [-Style <Hashtable>] [-ClassName <String>] [-Align <String>] [-GutterBottom] [-NoWrap] [-Truncate] [-FontWeight <String>] [-Sx <Hashtable>] [<CommonParameters>]

New-UDTypography [-Id <String>] [-Variant <String>] [-Content <ScriptBlock>] [-Style <Hashtable>] [-ClassName <String>] [-Align <String>] [-GutterBottom] [-NoWrap] [-Truncate] [-FontWeight <String>] [-Sx <Hashtable>] [<CommonParameters>]
```

### Description

Crée une typographie. La typographie vous permet de configurer le texte dans un tableau de bord.

### Paramètres

#### -Id

L'ID du composant. Par défaut, il s'agit d'un GUID aléatoire.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

Le type de texte à afficher.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Text

Le texte à formater.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Le contenu à formater.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Style

Un ensemble de styles CSS à appliquer à la typographie.

```
Required?                    false
Position?                    named
Default value                @{}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Un className CSS à appliquer à la typographie.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Align

Comment aligner la typographie.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -GutterBottom

La gouttière inférieure.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -NoWrap

Désactive le retour à la ligne du texte.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Truncate

Désactive le retour à la ligne du texte et ajoute des points de suspension en cas de débordement.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -FontWeight

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Sx

Table de hachage de style basée sur le thème.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'informations, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1 : Typographie de base

```powershell
New-UDTypography -Text "Hello World" -Variant "h1" -Id "typography1"
```

Un composant de typographie de base qui affiche un en-tête.

#### Exemple 2 : Typographie avec style

```powershell
New-UDTypography -Text "Hello World" -Variant "h1" -Style @{color = "red"} -Id "typography2"
```

Un composant de typographie qui affiche un en-tête de couleur rouge.

#### Exemple 3 : Alignement

```powershell
New-UDTypography -Text "Hello World" -Id "typography3" -Align "center"
```

Un composant de typographie qui s'affiche avec un alignement centré.

#### Exemple 4 : Gouttière inférieure

```powershell
New-UDTypography -Text "Hello World" -Id "typography4" -GutterBottom
```

Un composant de typographie qui s'affiche avec un espace sous le texte.

#### Exemple 5 : Aucun retour à la ligne

```powershell
New-UDTypography -Text "Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World!" -Id "typography5" -NoWrap
```

Un composant de typographie qui s'affiche sans retour à la ligne.

#### Exemple 6 : Graisse de police

```powershell
New-UDTypography -Text "Hello World" -Id "typography6" -FontWeight "bold"
```

Un composant de typographie qui s'affiche avec une graisse de police gras.

#### Exemple 7 : Sx

```powershell
New-UDTypography -Text "Hello World" -Id "typography11" -Sx @{color = "red"}
```

Un composant de typographie qui s'affiche de couleur rouge à l'aide de la propriété sx du thème.

#### Exemple 8 : Contenu

```powershell
New-UDTypography -Id "typography12" -Content {
    New-UDButton -Text "Click Me" -Id "button1"
}
```

Un composant de typographie qui s'affiche avec un bouton à l'intérieur.

#### Exemple 9 : Variantes

```powershell
@("h1", "h2", "h3", "h4", "h5", "h6", "subtitle1", "subtitle2", "body1", "body2",  "caption", "button", "overline", "srOnly", "inherit",  "display4", "display3", "display2", "display1", "headline", "title", "subheading") | ForEach-Object {
      New-UDTypography -Variant $_ -Text $_ -GutterBottom
      New-UDElement -Tag 'p' -Content {}
}
```

Un composant de typographie qui affiche toutes les variantes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-udtypography.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
